Support » Plugin: MailPoet Newsletters (Previous) » Safe to Upgrade to PHP 7.0?

  • Resolved jhennahane

    (@jhennahane)


    I ran a report using the PHP Compatibility Checker WordPress plugin and found 8 warnings. I am wondering if it is safe to upgrade to PHP 7.0 from 5.6:

    FILE: /nas/content/live/cscs/wp-content/plugins/wysija-newsletters/controllers/back.php
    ——————————————————————————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ——————————————————————————————————————————————————————–
    207 | WARNING | Method name “WYSIJA_control_back::__setMetaTitle” is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    ——————————————————————————————————————————————————————–

    FILE: /nas/content/live/cscs/wp-content/plugins/wysija-newsletters/helpers/bounce.php
    ————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ————————————————————————————-
    63 | WARNING | Function dl() is deprecated since PHP 5.3
    ————————————————————————————-

    FILE: /nas/content/live/cscs/wp-content/plugins/wysija-newsletters/inc/pear/pear.php
    ————————————————————————————————–
    FOUND 0 ERRORS AND 5 WARNINGS AFFECTING 4 LINES
    ————————————————————————————————–
    171 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    740 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4.
    754 | WARNING | Function dl() is deprecated since PHP 5.3
    754 | WARNING | Function dl() is deprecated since PHP 5.3
    852 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ————————————————————————————————–

    FILE: /nas/content/live/cscs/wp-content/plugins/wysija-newsletters/views/back/campaigns.php
    ——————————————————————————————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ——————————————————————————————————————————————————————————–
    2359 | WARNING | Method name “WYSIJA_view_back_campaigns::__filterPostParent” is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    ——————————————————————————————————————————————————————————–

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Safe to Upgrade to PHP 7.0?’ is closed to new replies.